API reference OpenAPI 3.1
POST /webhook-endpoints/{id}:test

Test webhook

Bearer API key or staff session operation testWebhook

Parameters

NameInTypeRequiredDescription
id path string Yes —

Request

This endpoint has no request body.

curl -X POST "$MONICHEK_API/webhook-endpoints/{id}:test" \
  -H "Authorization: Bearer $MONICHEK_API_KEY"
const res = await fetch(`${MONICHEK_API}/webhook-endpoints/{id}:test`, {
  method: "POST",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
  },
});

const data = await res.json();
import os
import requests

res = requests.post(
    f"{os.environ['MONICHEK_API']}/webhook-endpoints/{id}:test",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/webhook-endpoints/{id}:test');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
    ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Replace {id} with the resource id.

Responses

200 OK test result application/json
{
  "object": "test",
  "delivered": false
}

Error responses

StatusMeaningBody
409 Conflict RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.